## manila 2015.1~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=0.6,!=0.7,<1.0

alembic>=0.7.2
Babel>=1.3
eventlet>=0.16.1
greenlet>=0.3.2
httplib2>=0.7.5
iso8601>=0.1.9
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.9.0  # Apache-2.0
oslo.context>=0.2.0                     # Apache-2.0
oslo.db>=1.5.0  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.log>=0.4.0  # Apache-2.0
oslo.messaging>=1.6.0  # Apache-2.0
oslo.rootwrap>=1.5.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.concurrency>=1.4.1         # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
python-neutronclient>=2.3.11,<3
keystonemiddleware>=1.0.0
requests>=2.2.0,!=2.4.0
Routes>=1.12.3,!=2.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
stevedore>=1.1.0  # Apache-2.0
python-cinderclient>=1.1.0
python-novaclient>=2.18.0,!=2.21.0
WebOb>=1.2.3

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 python-amqplib,
 python-anyjson,
 python-babel (>= 1.3),
 python-cinderclient,
 python-ddt (>= 1.0.0),
 python-eventlet (>= 0.16.1),
 python-glanceclient,
 python-greenlet (>= 0.3.2),
 python-hacking,
 python-httplib2 (>= 0.7.5),
 python-iso8601,
 python-keystoneclient,
 python-lxml,
 python-manilaclient,
 python-migrate,
 python-mock,
 python-mox,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.11),
 python-nose,
 python-novaclient,
 python-oslo-concurrency (>= 1.4.1),
 python-oslo-config (>= 1:1.9.0),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.5.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-log (>= 0.4.0),
 python-oslo-messaging (>= 1.6.0),
 python-oslo-rootwrap (>= 1.5.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-oslotest,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-pbr,
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-routes,
 python-six (>= 1.9.0),
 python-sqlalchemy,
 python-stevedore,
 python-swiftclient,
 python-testresources,
 python-testtools,
 python-webob,
 subunit,
 testrepository
Standards-Version: 3.9.6

Package: python-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.7.2),
 python-amqplib,
 python-anyjson,
 python-babel (>= 1.3),
 python-cinderclient,
 python-eventlet (>= 0.16.1),
 python-glanceclient,
 python-greenlet (>= 0.3.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601,
 python-keystoneclient,
 python-lxml,
 python-manilaclient,
 python-migrate (>= 0.9.5),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.11),
 python-novaclient,
 python-oslo-concurrency (>= 1.4.1),
 python-oslo-config (>= 1:1.9.0),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.5.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-log (>= 0.4.0),
 python-oslo-messaging (>= 1.6.0),
 python-oslo-rootwrap (>= 1.5.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-requests (>= 2.2.0),
 python-routes,
 python-six (>= 1.9.0),
 python-sqlalchemy,
 python-stevedore,
 python-swiftclient,
 python-webob,
 ${misc:Depends},
 ${python:Depends}
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

## manila 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=0.6,!=0.7,<1.0

alembic>=0.7.2
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
httplib2>=0.7.5
iso8601>=0.1.9
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
python-neutronclient>=2.3.11,<3
keystonemiddleware>=1.5.0
requests>=2.2.0,!=2.4.0
Routes>=1.12.3,!=2.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
stevedore>=1.3.0,<1.4.0  # Apache-2.0
python-cinderclient>=1.1.0
python-novaclient>=2.22.0
WebOb>=1.2.3

## manila 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -26,13 +26,13 @@
 paramiko>=1.13.0
 Paste
 PasteDeploy>=1.5.0
-python-neutronclient>=2.3.11,<3
-keystonemiddleware>=1.5.0
+python-neutronclient>=2.3.11,<2.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 requests>=2.2.0,!=2.4.0
 Routes>=1.12.3,!=2.0
 six>=1.9.0
 SQLAlchemy>=0.9.7,<=0.9.99
 stevedore>=1.3.0,<1.4.0  # Apache-2.0
-python-cinderclient>=1.1.0
-python-novaclient>=2.22.0
+python-cinderclient>=1.1.0,<1.2.0
+python-novaclient>=2.22.0,<2.24.0
 WebOb>=1.2.3

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  python-httplib2 (>= 0.7.5),
  python-iso8601,
  python-keystoneclient,
+ python-keystonemiddleware,
  python-lxml,
  python-manilaclient,
  python-migrate,
@@ -32,16 +33,16 @@
  python-neutronclient (>= 1:2.3.11),
  python-nose,
  python-novaclient,
- python-oslo-concurrency (>= 1.4.1),
- python-oslo-config (>= 1:1.9.0),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
  python-oslo-context (>= 0.2.0),
- python-oslo-db (>= 1.5.0),
- python-oslo-i18n (>= 1.3.0),
- python-oslo-log (>= 0.4.0),
- python-oslo-messaging (>= 1.6.0),
- python-oslo-rootwrap (>= 1.5.0),
- python-oslo-serialization (>= 1.2.0),
- python-oslo-utils (>= 1.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
  python-oslotest,
  python-paramiko,
  python-paste,
@@ -76,22 +77,23 @@
  python-httplib2 (>= 0.7.5),
  python-iso8601,
  python-keystoneclient,
+ python-keystonemiddleware,
  python-lxml,
  python-manilaclient,
  python-migrate (>= 0.9.5),
  python-netaddr (>= 0.7.12),
  python-neutronclient (>= 1:2.3.11),
  python-novaclient,
- python-oslo-concurrency (>= 1.4.1),
- python-oslo-config (>= 1:1.9.0),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
  python-oslo-context (>= 0.2.0),
- python-oslo-db (>= 1.5.0),
- python-oslo-i18n (>= 1.3.0),
- python-oslo-log (>= 0.4.0),
- python-oslo-messaging (>= 1.6.0),
- python-oslo-rootwrap (>= 1.5.0),
- python-oslo-serialization (>= 1.2.0),
- python-oslo-utils (>= 1.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
  python-paramiko,
  python-paste,
  python-pastedeploy,
